Subject: bug#24206: 25.1; Curly quotes generate invalid strings, leading to a segfault

From: Philipp Stephani <[email-masked]>
Date: Thu, 11 Aug 2016 23:51:41 +0000

Eli Zaretskii <[email-masked]> schrieb am Do., 11. Aug. 2016 um 13:05 Uhr:

> > From: Phil <[email-masked]>
> > Date: Thu, 11 Aug 2016 11:55:05 -0700
> >
> >
> > Build is from the emacs-25 branch.
> >
> > $ ./emacs -Q -eval "(progn (defface test nil \"\`\\240'\")
> (customize-face 'test))"
> >
> > character.h:703: Emacs fatal error: assertion failed: CHAR_VALID_P (ch)
> > Fatal error 6: Aborted
> >
> > I think this is serious enough to be release-blocking.  Seen in the wild
> > with older versions of show-wspace.el.
>
> Please show the real-life example where this rears its ugly head.  The
> recipe (which is appreciated) is obscure enough to be easily avoided,
> so it doesn't yet convince me this should block a release.  There's
> always one more crash out there.
>
>
Ubuntu Trusty Tahr (supported until 2019) contains a package
emacs-goodies-el, which contains a file show-wspace.el, which contains a
face with the docstring "*Face for highlighting non-breaking spaces
(`\240')in Font-Lock mode." Attempting to customize that face leads to the
segfault.